Dist::Zilla::Plugin::PruneFiles(3)

NAME
Dist::Zilla::Plugin::PruneFiles - prune arbirary files from the dist

VERSION
version 4.300016

SYNOPSIS
This plugin allows you to explicitly prune some files from your distribution. You can either specify the exact set of files (with the "filenames" parameter) or provide the regular expressions to check (using "match").

This is useful if another plugin (maybe a FileGatherer) adds a bunch of files, and you only want a subset of them.

In your dist.ini:

  [PruneFiles]
  filename = xt/release/pod-coverage.t ; pod coverage tests are for jerks
  filename = todo-list.txt             ; keep our secret plans to ourselves

  match     = ^test_data/*
  match     = ^test.cvs$

ATTRIBUTES

  filenames
This is an arrayref of filenames to be pruned from the distribution.

  matches
This is an arrayref of regular expressions and files matching any of them, will be pruned from the distribution.

SEE ALSO
Dist::Zilla plugins: PruneCruft, GatherDir, ManifestSkip.

AUTHOR
Ricardo SIGNES <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.